package eu.jonahbauer.wizard.common.messages.client;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.RequiredArgsConstructor;
import org.jetbrains.annotations.Range;

@Getter
@RequiredArgsConstructor
@EqualsAndHashCode(callSuper = true)
public final class CreateSessionMessage extends ClientMessage {
    /**
     * Name of session
     */
    private final String name;
    /**
     * Name of creating and joining player
     */
    private final String playerName;
    /**
     * Choose of Deck
     */
    private final String deck;
    /**
     * Choose if exact predictions are allowed
     */
    private final boolean exactPrediction;
    /**
     * timout in milliseconds
     */
    private final @Range(from = 30*1000, to = 10* 60*1000) long timeout;
}
